Bug Hunting Session
Bug 82797 - use modern OpenGL for OGL Transitions
Summary: use modern OpenGL for OGL Transitions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, easyHack, skillCpp, topicCleanup
Depends on:
Blocks: OpenGL
  Show dependency treegraph
 
Reported: 2014-08-19 06:55 UTC by Markus Mohrhard
Modified: 2016-02-18 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2014-08-19 06:55:31 UTC
This is a two step task:

1.) make use of shaders and replace all parts of the fixed function pipeline that have been deprecated in OpenGL 2.0 (target version OpenGL 2.1)

2.) improve the code and switch to a 3.2 core context, see chart2/opengl/README.deprecated for features that should not be used in a 3.2 core context

The development for the second point should happen in a feature branch as it will break temporarily the feature on OSX until we don't use any legacy features anymore
Comment 1 Markus Mohrhard 2014-08-19 06:56:36 UTC
Make it an easy hack.

See also Bug 82319.
Comment 2 Markus Mohrhard 2014-08-19 06:57:34 UTC
Code for the OGL Transitions are in slideshow/source/engine/OGLTrans/generic and the shaders that are already part of the feature are in slideshow/opengl/
Comment 3 Stefan Weiberg 2014-09-15 09:08:48 UTC
I'd like to work on this bug, as Michael and I are going to work on the OpenGL implementations in the upcoming months.
Comment 4 Tor Lillqvist 2015-10-23 10:05:43 UTC
Stefan, you don't seem to be working on this any more?
Comment 5 Robinson Tryon (qubit) 2015-12-14 05:01:17 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyInteresting SkillCpp TopicCleanup)
[NinjaEdit]
Comment 6 Michael Meeks 2016-01-09 18:44:58 UTC
Tor - I believe Emmanuel has done this ? is that right =)
Comment 7 Tor Lillqvist 2016-01-12 11:26:59 UTC
Yep.
Comment 8 Tor Lillqvist 2016-01-12 11:27:37 UTC
(And this was hardly an EasyHack, surely?)
Comment 9 Robinson Tryon (qubit) 2016-02-18 16:37:05 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]